<?php
session_start();
require_once 'config.php';

if ($_SERVER['REQUEST_METHOD'] == 'POST') {
    $description = $_POST['description'];
    $amount = $_POST['amount'];
    $category = $_POST['category'];
    $user_id = $_SESSION['user_id'];
    
    $sql = "INSERT INTO income (description, amount, category, date, user_id) 
            VALUES (?, ?, ?, CURRENT_DATE, ?)";
    $stmt = $conn->prepare($sql);
    $stmt->bind_param("sdsi", $description, $amount, $category, $user_id);
    
    $response = ['success' => $stmt->execute()];
    echo json_encode($response);
}