<?php
session_start();
if (!isset($_SESSION['user_id'])) {
    header("Location: login.php");
    exit();
}
require_once 'config.php';
?>

<!DOCTYPE html>
<html dir="rtl" lang="ar">
<head>
    <meta charset="UTF-8">
    <title>لوحة التحكم - النظام المالي</title>
    <link rel="stylesheet" href="style.css">
</head>
<body>
    <div class="dashboard">
        <div class="card">
            <h2>الإيرادات</h2>
            <form id="incomeForm">
                <div class="form-group">
                    <label>الوصف:</label>
                    <input type="text" name="description" required>
                </div>
                <div class="form-group">
                    <label>المبلغ:</label>
                    <input type="number" name="amount" required>
                </div>
                <div class="form-group">
                    <label>التصنيف:</label>
                    <select name="category">
                        <option value="شهري">دخل شهري</option>
                        <option value="جمعية">جمعية خيرية</option>
                        <option value="أخرى">أخرى</option>
                    </select>
                </div>
                <button type="submit">إضافة إيراد</button>
            </form>
        </div>

        <div class="card">
            <h2>المصروفات</h2>
            <form id="expenseForm">
                <div class="form-group">
                    <label>الوصف:</label>
                    <input type="text" name="description" required>
                </div>
                <div class="form-group">
                    <label>المبلغ:</label>
                    <input type="number" name="amount" required>
                </div>
                <div class="form-group">
                    <label>التصنيف:</label>
                    <select name="category">
                        <option value="صدقة">صدقة</option>
                        <option value="تبرع">تبرع</option>
                        <option value="زكاة">زكاة</option>
                        <option value="أخرى">أخرى</option>
                    </select>
                </div>
                <button type="submit">إضافة مصروف</button>
            </form>
        </div>

        <div class="card">
            <h2>التقارير</h2>
            <div id="reports">
                <!-- سيتم تحميل التقارير هنا -->
            </div>
        </div>
    </div>

    <script src="script.js"></script>
</body>
</html>